package com.hp.user.client.service;

import com.hp.user.client.entity.CompanyPageVO;
import com.hp.user.client.entity.CustomerCompanyVO;

/**
 * <p>
 * 企业/公司 服务类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface CustomerCompanyService {
    public boolean insert(CustomerCompanyVO company);
    public boolean delete(Long companyId);
    public boolean update(CustomerCompanyVO company);
    public CustomerCompanyVO queryCompanyByCompanyId(Long companyId);
    public CompanyPageVO getCompanysPage(Long current, Integer size);
    public CompanyPageVO queryCompanyspageByNameAndServiceAndStatus(String name,String serviceProviderName,Integer status,Long current, Integer size);
}
