package com.hp.user.service.impl;

import com.hp.user.client.entity.AreaVO;
import com.hp.user.client.service.UserAreaService;
import com.hp.user.service.entity.Area;
import com.hp.user.service.dao.AreaMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 区域表 服务实现类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
@Service("area")
public class AreaServiceImpl implements UserAreaService {
    @Autowired
    private AreaMapper areaMapper;
    @Override
    public List<AreaVO> getAllArea() {
        List<AreaVO> areaVOs=new ArrayList<>();
        List<Area> areas = areaMapper.selectList(null);
        AreaVO temp;
        for (Area area : areas){
            temp = new AreaVO();
            BeanUtils.copyProperties(area, temp);
            areaVOs.add(temp);
        }
        return areaVOs;
    }
}
