package com.hp.user.service.impl;

import com.hp.user.client.service.AccountService;
import com.hp.user.client.service.MessageService;

import org.apache.commons.codec.binary.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户信息表 服务实现类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
@Service
public class AccountServiceImpl implements AccountService {
	
	@Autowired
	private MessageService messageService;

	@Override
	public void login(String phone, String verificationCode) {
		try {
			String code = messageService.getVerificationCode(phone);
			if(StringUtils.equals(verificationCode, code)) {
				//登陆成功
			}else {
				//登陆失败，返回验证码
			}
		}catch(Exception e) {
			
		}
	}

}
